%define rev rev8098
%define hash c8f53398f8ce

Summary:	Library for encoding and decoding H.265/MPEG-H HEVC video streams
Name:		x265
Version:	0.0.0
Release:	3.%{?rev}%{?dist}
License:	GPL
Group:		System Environment/Libraries
#URL:		http://www.videolan.org/developers/x265.html
URL:        http://x265.org/

Packager:	momo-i <webmaster@momo-i.org>
Vendor:		momo-i, http://www.momo-i.org/

## hg clone http://hg.videolan.org/x265
## tar acvf x265-0.0.0.tar.xz x265 --exclude=.hg
Source:     %{name}-%{version}.tar.xz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	gettext
BuildRequires:	nasm yasm
BuildRequires:  cmake >= 2.8.8

%description
Utility and library for encoding H.265/MPEG-H HEVC video streams.

%package -n libx265-devel
Summary: Development files for the x265 library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description -n libx265-devel
This package contains the files required to develop programs that will encode
H.265/MPEG-H HEVC video streams using the x265 library.

%package -n libx265-static
Summary: Development files for the x265 static library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description -n libx265-static
This package contains the files required to develop programs that will encode
H.265/MPEG-H HEVC video streams using the x265 library.

%prep
%setup -q -n %{name}

%build
#pushd build/linux
#./make-Makefiles.bash
#popd
cd source
cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_lib}

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
cd source
%{__make} install DESTDIR="%{buildroot}"

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc COPYING doc
%{_bindir}/x265
%{_libdir}/libx265.so.*

%files -n libx265-devel
%defattr(-, root, root, 0755)
%{_includedir}/x265.h
%{_includedir}/x265_config.h
%{_libdir}/pkgconfig/x265.pc
%{_libdir}/libx265.so

%files -n libx265-static
%{_libdir}/libx265.a

%changelog
* Mon Sep 22 2014 momo-i <webmaster@momo-i.org> - 0.0.0-3
- Update rev 8098

* Wed Jun 18 2014 momo-i <webmaster@momo-i.org> - 0.0.0-2
- Update rev 7088

* Mon Mar 24 2014 momo-i <webmaster@momo-i.org> - 0.0.0-1
- Initial rpm release.
